Subject: Re: bug#8492: 23.3; Time to use a different binding for completion?

From: Eli Zaretskii <[email-masked]>
Date: Thu, 21 Apr 2011 09:43:43 +0300

> From: Lennart Borgman <[email-masked]>
> Date: Thu, 21 Apr 2011 00:03:10 +0200
> Cc: David De La Harpe Golden <[email-masked]>, [email-masked], [email-masked]
> 
> On Wed, Apr 20, 2011 at 7:17 PM, Eli Zaretskii <[email-masked]> wrote:
> >> Date: Wed, 20 Apr 2011 17:41:41 +0100
> >> From: David De La Harpe Golden <[email-masked]>
> >> Cc: [email-masked], Reuben Thomas <[email-masked]>
> >>
> >> Uh, but then given w32 emacs apparently sees "lwindow"/"rwindow" instead
> >> of "super" when you press the windows keys (testing in wine not real
> >> windows), w32 emacs may also need to be adjusted to map them to
> >> left/right super by default and treat them as modifiers.
> >
> > See w32-lwindow-modifier and w32-rwindow-modifier.  (And note the
> > footnote in the Emacs manual's "Windows Keyboard" node about the
> > caveats.)
> 
> Which are not guaranteed to work unless you use a low level keyboard
> hook. See EmacsW32 repository for a path with this.

Yeah, yeah, yeah, and we must destroy Carthage, too.

(The part in parentheses in my message exactly referred to the caveats
of using these two keys.)